%bcond_with bootstrap

Name:           maven-source-plugin
Version:        3.3.0
Release:        %mkrel 2
Group:          Development/Java
Summary:        Plugin creating source JAR
License:        ASL 2.0
URL:            https://maven.apache.org/plugins/maven-source-plugin/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven:maven-archiver)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
%endif
# TODO Remove in Fedora 46
Obsoletes:      %{name}-javadoc < 3.3.0-18

%description
The Maven Source Plugin creates a JAR archive of the
source files of the current project.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
API documentation for %{name}.

%prep
%autosetup -p1

%build
%mvn_file : %{name}
%mvn_build -j -- -Dmaven.compiler.release=11

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.3.0-2.mga10
+ Revision: 2225245
- Mageia 10 Mass Rebuild

* Thu May 23 2024 ns80 <ns80> 3.3.0-1.mga10
+ Revision: 2066344
- new version 3.3.0 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 3.2.1-10.mga9
+ Revision: 1871246
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 3.2.1-9.mga9
+ Revision: 1870762
- Add bootstrap build mode
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 3.2.1-1.mga8
+ Revision: 1621478
- Update to version 3.2.1
- Rebuilt for JDK-11

* Sat Feb 15 2020 umeabot <umeabot> 3.1.0-2.mga8
+ Revision: 1528627
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 3.1.0-1.mga8
+ Revision: 1431608
- Update to version 3.1.0

* Wed Sep 19 2018 umeabot <umeabot> 3.0.1-3.mga7
+ Revision: 1264108
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 3.0.1-2.mga6
+ Revision: 1101382
- Rebuild maven-* packages

* Tue May 09 2017 neoclust <neoclust> 3.0.1-1.mga6
+ Revision: 1099864
- New version 3.0.1
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.4-4.mga6
+ Revision: 977271
- First rebuild of the java stack
- sync package maven-source-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 2.2.1-6.mga5
+ Revision: 807323
- Sync with fc21
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.2.1-3.mga4
+ Revision: 529778
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 dmorgan <dmorgan> 2.2.1-2.mga4
+ Revision: 453199
- Build with xmvn

* Sat Jan 12 2013 umeabot <umeabot> 2.2.1-2.mga3
+ Revision: 359786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 2.2.1-1.mga3
+ Revision: 326342
- New version

* Wed Jul 20 2011 dmorgan <dmorgan> 2.1.2-7.mga2
+ Revision: 127216
- Use upstream source.
    Build with maven 3.x.
    Guidelines fixes.

* Thu Apr 28 2011 dmorgan <dmorgan> 2.1.2-6.mga1
+ Revision: 92933
- Rebuild after bootstrapping
- imported package maven-source-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 9 2010 Alexander Kurtakov <akurtako@redhat.com> 2.1.2-4
- Do not exclude plexus-container-default from dependencies.

* Fri May 28 2010 Alexander Kurtakov <akurtako@redhat.com> 2.1.2-3
- Add provides/obsoletes.

* Thu May 27 2010 Alexander Kurtakov <akurtako@redhat.com> 2.1.2-2
- Fix Url.
- More descriptive summary.
- Add missing BR.

* Thu May 27 2010 Alexander Kurtakov <akurtako@redhat.com> 2.1.2-1
- Initial package.
